Loading...
Searching...
No Matches
Dune::PolyhedralGridIntersectionIterator< Grid > Class Template Reference

## Public Types

typedef Traits::template Codim< 0 >::EntitySeed | EntitySeed
typedef std::conditional< isLeafIntersection, typenameTraits::LeafIntersection, typenameTraits::LevelIntersection >::type | Intersection
typedef Intersection::Implementation | IntersectionImpl
typedef Traits::ExtraData | ExtraData
typedef Grid::template Codim< 0 >::EntityPointer | EntityPointer

## Public Member Functions

| PolyhedralGridIntersectionIterator (ExtraData data, const EntitySeed &seed, bool isBegin)
| PolyhedralGridIntersectionIterator (const This &other)
PolyhedralGridIntersectionIterator & | operator= (const This &other)
bool | equals (const This &other) const
void | increment ()
const Intersection & | dereference () const
ExtraData | data () const

## Protected Types

typedef PolyhedralGridIntersectionIterator< Grid > | This
typedef Grid::Traits | Traits
typedef Traits::template Codim< 0 >::Entity | Element

## Protected Member Functions

IntersectionImpl & | intersectionImpl () const

## Protected Attributes

Intersection | intersection_

## Static Protected Attributes

static const bool | isLeafIntersection = true

The documentation for this class was generated from the following file:

- opm/grid/polyhedralgrid/intersectioniterator.hh